Skip to main content
GET
/
api
/
teams
/
{team_id}
/
proxy_profiles
Error
A valid request URL is required to generate request examples
{
  "hydra:member": [
    {
      "@id": "<string>",
      "@type": "<string>",
      "@context": "<string>",
      "id": "<string>",
      "name": "",
      "notes": "<string>",
      "auth_method": "usernamePassword",
      "proxy_protocol": "http",
      "port": 2499,
      "location": {
        "country_code": "<string>",
        "region": "<string>",
        "city": "<string>",
        "asn": 123
      },
      "session": {
        "type": "rotating",
        "duration": 5040
      },
      "advanced_settings": {
        "region_endpoint": false,
        "region_endpoint_country": "<string>",
        "region_endpoint_region": "<string>",
        "region_endpoint_city": "<string>",
        "sess_replace": true,
        "tcp_ip_fingerprint": false,
        "tcp_ip_fingerprint_preset": "<string>",
        "filter_by_subnets": false,
        "filter_by_subnets_list": [
          "<string>"
        ],
        "gps_location_filtering": false,
        "gps_location_address": "<string>",
        "gps_location_lat": 123,
        "gps_location_lng": 123,
        "gps_location_radius_miles": 123
      },
      "proxy_generator": {
        "count": 1,
        "output_format": "host:port:user:pass",
        "delimiter": "comma",
        "session_prefix": "<string>",
        "session_label": "<string>",
        "include_protocol": false,
        "use_ip_change_url": false
      },
      "team": {
        "@id": "<string>",
        "@type": "<string>",
        "name": "<string>",
        "@context": "<string>",
        "id": "<string>",
        "owner_email": "<string>"
      },
      "proxy_account": {
        "@id": "<string>",
        "@type": "<string>",
        "@context": "<string>",
        "id": "<string>",
        "description": "<string>",
        "enabled": true,
        "status": "ACCOUNT_BLOCKED",
        "is_active": false,
        "username": "<string>",
        "plain_password": "<string>",
        "team": {
          "@id": "<string>",
          "@type": "<string>",
          "name": "<string>",
          "@context": "<string>",
          "id": "<string>",
          "owner_email": "<string>"
        }
      }
    }
  ],
  "hydra:totalItems": 1,
  "hydra:search": {
    "@type": "<string>",
    "hydra:template": "<string>",
    "hydra:variableRepresentation": "<string>",
    "hydra:mapping": [
      {
        "@type": "<string>",
        "variable": "<string>",
        "property": "<string>",
        "required": true
      }
    ]
  },
  "hydra:view": {
    "@id": "string",
    "@type": "string",
    "hydra:first": "string",
    "hydra:last": "string",
    "hydra:previous": "string",
    "hydra:next": "string"
  }
}

Authorizations

api-key
string
header
required

Value for the api-key header parameter.

Path Parameters

team_id
string
required

Team identifier

Query Parameters

page
integer
default:1

The collection page number

itemsPerPage
integer
default:30

The number of items per page

Required range: 0 <= x <= 30
proxy_account
string
proxy_account[]
string[]
auth_method
string
auth_method[]
string[]
proxy_protocol
string
proxy_protocol[]
string[]
location.country_code
string
location.country_code[]
string[]
session.type
string
session.type[]
string[]
proxy_type
enum<string>

Filter by proxy type (residential, mobile, or any — any matches profiles with no specific type)

Available options:
residential,
mobile,
any
proxy_type[]
enum<string>[]

Filter by one or more proxy types (OR semantics)

Available options:
residential,
mobile,
any
is_active
string

Filter by linked proxy account is_active (true, false, 1, or 0)

order[name]
enum<string>
default:asc
Available options:
asc,
desc

Response

ProxyProfile collection

ProxyProfile.jsonld-proxy_profile.read_proxy_account.restricted_proxy_account.personal_hash_location.value_team.restricted collection.

hydra:member
object[]
required
hydra:totalItems
integer
Required range: x >= 0
hydra:view
object
Example:
{
  "@id": "string",
  "@type": "string",
  "hydra:first": "string",
  "hydra:last": "string",
  "hydra:previous": "string",
  "hydra:next": "string"
}